unit uIdLogBase;

interface

uses Classes, Rubies;

var
  cIdLogBase: Tvalue;

function ap_cIdLogBase: Tvalue;
procedure Init_IdLogBase;

implementation

uses
  SysUtils, uDefUtils, Pythia, IdLogBase, IdHandle, uIndy, uIdIntercept;

function ap_cIdLogBase: Tvalue;
begin
  result := cIdLogBase;
end;

procedure IdLogBase_setup(obj: Tvalue; real: TIdLogBase);
begin
end;

function IdLogBase_event_handle(This, name: Tvalue): Tvalue; cdecl;
begin
  EventHandle(This, name, [Handle, PhiGetHandle]);
  result := Qnil;
end;

procedure Init_IdLogBase;
begin
  cIdLogBase := rb_define_class_under(mIndy, 'IdLogBase', cIdConnectionIntercept);
  DefineProp(cIdLogBase, TIdLogBase);
  rb_define_method(cIdLogBase, 'event_handle', @IdLogBase_event_handle, 1);
end;

end.
